/*
Danger from the Deep - Open source submarine simulation
Copyright (C) 2003-2006  Thorsten Jordan, Luis Barrancos and others.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// A tokenizer
// subsim (C)+(W) Thorsten Jordan. SEE LICENSE

#ifndef TOKENIZER_H
#define TOKENIZER_H

#include <fstream>
#include <string>
#include <vector>
using namespace std;

#include "token.h"

class tokenizer
{
	ifstream inputstr;
	vector<token> tokenlist;
	token current, previous;
	int token_none, token_string, token_number, token_id;
	unsigned line, column;
	
	public:
	tokenizer(const string& filename, vector<token>& tokenlist_,
		int token_none_=-1, int token_string_=-2,
		int token_number_=-3, int token_id_=-4);
	token get_current(void) const { return current; };
	token get_previous(void) const { return previous; };
	bool is_empty(void) const { return current.is_empty(); };
	unsigned get_line(void) const { return line; };
	unsigned get_column(void) const { return column-current.text.length()+1; };
	void count(char c);
	token read_next(void);
};	

#endif
