/*
Danger from the Deep - Open source submarine simulation
Copyright (C) 2003-2006  Thorsten Jordan, Luis Barrancos and others.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// (ocean) water simulation and display (OpenGL)
// subsim (C)+(W) Thorsten Jordan. SEE LICENSE

// special optimized SSE routines.

#ifndef WATER_SSE_H
#define WATER_SSE_H

#ifdef USE_SSE

#include <SDL_types.h>
#include "vector2.h"

/// Returns wether SSE extensions are supported on x86 hardware.
bool x86_sse_supported();

void water_compute_coord_init_sse(float wavetile_length_rcp, unsigned wave_resolution,
				  unsigned wave_resolution_shift);

void water_compute_coord_1line_sse(const vector2f& v, const vector2f& vadd,
				   const vector2f& vfrac, const vector2f& vfracadd,
				   const Uint32* tiledata_baseptr, float minusviewposz,
				   float* coordptr, unsigned xres);

#ifdef USE_SSE_INTRINSICS
void water_compute_coord_init_sse_i(float wavetile_length_rcp, unsigned wave_resolution,
				  unsigned wave_resolution_shift);

void water_compute_coord_1line_sse_i(const vector2f& v, const vector2f& vadd,
				   const vector2f& vfrac, const vector2f& vfracadd,
				   const Uint32* tiledata_baseptr, float minusviewposz,
				   float* coordptr, unsigned xres);
#endif

#endif
#endif
